aboutsummaryrefslogtreecommitdiffstats
path: root/testing/awscli/APKBUILD
diff options
context:
space:
mode:
authorValery Kartel <valery.kartel@gmail.com>2016-12-30 02:29:42 +0200
committerTimo Teräs <timo.teras@iki.fi>2017-02-08 13:38:56 +0200
commite896925005dc2a8a52a1b868ead747d5ca9125ab (patch)
tree9ae4f0bdef23352241968072f9b506744aea155f /testing/awscli/APKBUILD
parent8e45b07e4544818d389d1a52f3f773869bbf9b47 (diff)
downloadaports-e896925005dc2a8a52a1b868ead747d5ca9125ab.tar.bz2
aports-e896925005dc2a8a52a1b868ead747d5ca9125ab.tar.xz
testing/awscli: upgrade to 1.11.34, switch to python3
Diffstat (limited to 'testing/awscli/APKBUILD')
-rw-r--r--testing/awscli/APKBUILD60
1 files changed, 40 insertions, 20 deletions
diff --git a/testing/awscli/APKBUILD b/testing/awscli/APKBUILD
index b85694fee7..66493bc6f2 100644
--- a/testing/awscli/APKBUILD
+++ b/testing/awscli/APKBUILD
@@ -2,50 +2,70 @@
# Contributor: Valery Kartel <valery.kartel@gmail.com>
pkgname=awscli
_pkgname=aws-cli
-pkgver=1.10.12
+pkgver=1.11.34
pkgrel=0
+_python="python3"
pkgdesc="Universal Command Line Interface for Amazon Web Services"
url="https://github.com/aws/aws-cli"
arch="noarch"
license="apache2"
-depends="python2 py-botocore py-jmespath py-s3transfer"
-depends_dev=
-makedepends="python2-dev py-setuptools"
-install=
-subpackages="$pkgname-zsh-completion:zshcomp $pkgname-bash-completion:bashcomp"
+depends="$_python py-botocore py-jmespath py-s3transfer py-docutils py-colorama py-yaml py-rsa"
+depends_dev=""
+makedepends="$_python-dev py-setuptools"
+install=""
+subpackages="$pkgname-doc $pkgname-zsh-completion:zshcomp $pkgname-bash-completion:bashcomp $pkgname-completer"
source="$_pkgname-$pkgver.tar.gz::https://github.com/aws/$_pkgname/archive/$pkgver.tar.gz"
-
-_builddir="$srcdir"/$_pkgname-$pkgver
+builddir="$srcdir"/$_pkgname-$pkgver
build() {
- cd "$_builddir"
- python2 setup.py build || return 1
+ cd "$builddir"
+ $_python setup.py build || return 1
}
package() {
- cd "$_builddir"
- python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
- rm "$pkgdir"/usr/bin/aws.cmd
+ cd "$builddir"
+ $_python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ rm -fr "$pkgdir"/usr/bin/aws.cmd \
+ $(find "$pkgdir" -name "*.egg-info")
}
bashcomp() {
- depends=
+ depends="$pkgname-completer"
pkgdesc="Bash completions for $pkgname"
install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
mkdir -p "$subpkgdir"/usr/share/bash-completion/completions
mv "$pkgdir"/usr/bin/aws_bash_completer \
- "$subpkgdir"/usr/share/bash-completion/completions/
+ "$subpkgdir"/usr/share/bash-completion/completions
}
zshcomp() {
- depends=
+ depends="$pkgname-completer"
pkgdesc="Zsh completions for $pkgname"
install_if="$pkgname=$pkgver-r$pkgrel zsh"
mkdir -p "$subpkgdir"/usr/share/zsh/site-functions
mv "$pkgdir"/usr/bin/aws_zsh_completer.sh \
- "$subpkgdir"/usr/share/zsh/site-functions/
+ "$subpkgdir"/usr/share/zsh/site-functions
+}
+
+completer() {
+ depends=""
+ pkgdesc="$pkgdesc (completions helper)"
+ cd "$pkgdir"
+ local file; for file in $(find . -name "*completer*"); do
+ echo $(dirname $file)
+ mkdir -p "$subpkgdir"/$(dirname $file)
+ mv "$pkgdir"/$file "$subpkgdir"/$file
+ done
+}
+
+doc() {
+ default_doc
+ local path=$($_python -c "import sys;print(sys.path[-1])")/$pkgname
+ mkdir -p "$subpkgdir"/$path
+ mv "$pkgdir"/$path/examples "$subpkgdir"/$path/
+ mv "$pkgdir"/$path/topics "$subpkgdir"/$path/
}
-md5sums="d78effb794f6efee51a6ff465e2ec987 aws-cli-1.10.12.tar.gz"
-sha256sums="b1eaab59898b366f9fc72c18a741945bb1adf9275e05f940c83f99b3548021cc aws-cli-1.10.12.tar.gz"
-sha512sums="ae3f60eeba56b1ae1bb2c9315478daadd2ddcb86594aeec5da0a231c5acfcff3524d628d5865ed41cab7e3457a567450ede95314336c5b87dc95fb00b76fdb2f aws-cli-1.10.12.tar.gz"
+md5sums="a7cfdf07e7ff624a65bb6cf9d9bb09c6 aws-cli-1.11.34.tar.gz"
+sha256sums="a836980eb468c0864f3a343c0f78d21ebc5f05abfc80914a2714dca89ae0feec aws-cli-1.11.34.tar.gz"
+sha512sums="1231873f0e880f9a5d86f1691d4f6e7e62bfb4dd392047d0f51b5bbec83a3896ee160062a1c05b7139ec1ab65d83568dd27516e341092b583e4070c483c68794 aws-cli-1.11.34.tar.gz"